#! /bin/bash

trap "echo '*** BUILD FAILED! ***' 1>&2" ERR
set -ex -o pipefail
umask 022
export PATH='/bin:/usr/bin:/usr/local/bin:~/diet-pc/tools'
export CFLAGS=${CFLAGS:--Os}
export CXXFLAGS=${CXXFLAGS:--Os}

# FIXME: still some breakage here.

rebuild () {
    tar xjf libdvdcss-1.2.13.tar.bz2
    cd libdvdcss-1.2.13
    #bunzip2 -c ../libdvdcss-1.2.6-network.patch.bz2 | patch -p1 -b
    bunzip2 -c ../libdvdcss-1.2.13-network.patch.bz2 | patch -p1 -b
    autoreconf
    ./configure --disable-static
    make
    strip -R .note -R .comment .libs/libdvdcss.so.2
    mkdir -p ../libdvdcss2/lib
    cp .libs/libdvdcss.so.2 ../libdvdcss2/lib/
    cd ..
    rm -rf libdvdcss-1.2.13
}

while read FN; do
    eval "[ -e $FN ] || rebuild"
done < MANIFEST

ARCH=`ipkg -V 0 print_architecture | tail -n 1 | cut -f2 -d' '`
for CTRLFILE in */CONTROL/control; do
    sed -i -e "s/__ARCH__/$ARCH/g" $CTRLFILE
    sudo ipkg-build -o root -g root `dirname $CTRLFILE`/..
done
